Bug 522220 - nokia 6288 usb storage connect problem
Summary: nokia 6288 usb storage connect problem
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 19:21 UTC by Sergei LITVINENKO
Modified: 2010-12-05 06:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:27:21 UTC


Attachments (Terms of Use)

Description Sergei LITVINENKO 2009-09-09 19:21:06 UTC
Description of problem:
Nokia 6288 can not be connected by usb cable "Type CA-53" (from phone box) as USB storage under Fedora-11.

Version-Release number of selected component (if applicable):
2.6.30.5-43.fc11.i686.PAE

How reproducible:
100%

Steps to Reproduce:
1. Connect phone by standard nokia (Type CA-53) cable to USB
2. Choice mode "save data" on mobile phone
3. look into /var/log/message or run dmesg 

Actual results:
[root@homedesk ~]# dmesg
usb 3-1: new full speed USB device using uhci_hcd and address 2
usb 3-1: New USB device found, idVendor=0421, idProduct=0019   
usb 3-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 3-1: Product: Nokia 6288
usb 3-1: Manufacturer: Nokia
usb 3-1: SerialNumber: 354558019928075
usb 3-1: configuration #1 chosen from 1 choice
Initializing USB Mass Storage driver...
scsi6 : SCSI emulation for USB Mass Storage devices
usbcore: registered new interface driver usb-storage
USB Mass Storage support registered.
usb-storage: device found at 2
usb-storage: waiting for device to settle before scanning
usb-storage: device scan complete
scsi 6:0:0:0: Direct-Access     Nokia    Nokia 6288       0000 PQ: 0 ANSI: 4
sd 6:0:0:0: Attached scsi generic sg5 type 0
sd 6:0:0:0: [sdd] Adjusting the sector count from its reported value: 3970049
sd 6:0:0:0: [sdd] 3970048 512-byte hardware sectors: (2.03 GB/1.89 GiB)
sd 6:0:0:0: [sdd] Test WP failed, assume Write Enabled
sd 6:0:0:0: [sdd] Assuming drive cache: write through
sd 6:0:0:0: [sdd] Adjusting the sector count from its reported value: 3970049
sd 6:0:0:0: [sdd] Test WP failed, assume Write Enabled
sd 6:0:0:0: [sdd] Assuming drive cache: write through
 sdd: sdd1
sd 6:0:0:0: [sdd] Attached SCSI removable disk
usb 3-1: reset full speed USB device using uhci_hcd and address 2
usb 3-1: reset full speed USB device using uhci_hcd and address 2
usb 3-1: reset full speed USB device using uhci_hcd and address 2
usb 3-1: reset full speed USB device using uhci_hcd and address 2
usb 3-1: reset full speed USB device using uhci_hcd and address 2

Expected results:
/dev/sdd1 device is connected and accessible as volume

Additional info:

Comment 1 Sergei LITVINENKO 2009-12-08 06:14:06 UTC
slow and dirty connection storage of nokia 6288 in Fedora-12

[root@eee901 ~]# uname -r
2.6.31.6-162.fc12.i686
[root@eee901 ~]# cat /etc/issue
Fedora release 12 (Constantine)
Kernel \r on an \m (\l)

[root@eee901 ~]# lsusb
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 0421:0019 Nokia Mobile Phones 6288 GSM Smartphone (imaging mode)
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 004: ID 0421:00e9 Nokia Mobile Phones
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 002: ID 058f:6335 Alcor Micro Corp. SD/MMC Card Reader

[root@eee901 ~]# dmesg                                                       
usb 3-1: new full speed USB device using uhci_hcd and address 2              
usb 3-1: New USB device found, idVendor=0421, idProduct=0019                 
usb 3-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3            
usb 3-1: Product: Nokia 6288                                                 
usb 3-1: Manufacturer: Nokia                                                 
usb 3-1: SerialNumber: 354558019928075                                       
usb 3-1: configuration #1 chosen from 1 choice                               
scsi3 : SCSI emulation for USB Mass Storage devices                          
usb-storage: device found at 2                                               
usb-storage: waiting for device to settle before scanning                    
usb-storage: device scan complete                                            
scsi 3:0:0:0: Direct-Access     Nokia    Nokia 6288       0000 PQ: 0 ANSI: 4 
sd 3:0:0:0: Attached scsi generic sg3 type 0                                 
sd 3:0:0:0: [sdd] Adjusting the sector count from its reported value: 3970049
sd 3:0:0:0: [sdd] 3970048 512-byte logical blocks: (2.03 GB/1.89 GiB)        
sd 3:0:0:0: [sdd] Test WP failed, assume Write Enabled                       
sd 3:0:0:0: [sdd] Assuming drive cache: write through                        
sd 3:0:0:0: [sdd] Adjusting the sector count from its reported value: 3970049
sd 3:0:0:0: [sdd] Test WP failed, assume Write Enabled                       
sd 3:0:0:0: [sdd] Assuming drive cache: write through                        
 sdd: sdd1
sd 3:0:0:0: [sdd] Adjusting the sector count from its reported value: 3970049
sd 3:0:0:0: [sdd] Test WP failed, assume Write Enabled
sd 3:0:0:0: [sdd] Assuming drive cache: write through
sd 3:0:0:0: [sdd] Attached SCSI removable disk
usb 3-1: reset full speed USB device using uhci_hcd and address 2
usb 3-1: reset full speed USB device using uhci_hcd and address 2
usb 3-1: reset full speed USB device using uhci_hcd and address 2
usb 3-1: reset full speed USB device using uhci_hcd and address 2
CE: hpet increasing min_delta_ns to 15000 nsec
usb 3-1: reset full speed USB device using uhci_hcd and address 2
usb 3-1: reset full speed USB device using uhci_hcd and address 2
usb 3-1: reset full speed USB device using uhci_hcd and address 2
usb 3-1: reset full speed USB device using uhci_hcd and address 2
usb 3-1: reset full speed USB device using uhci_hcd and address 2
sd 3:0:0:0: [sdd] Unhandled error code
sd 3:0:0:0: [sdd] Result: hostbyte=DID_ABORT driverbyte=DRIVER_OK
end_request: I/O error, dev sdd, sector 0
Buffer I/O error on device sdd, logical block 0
Buffer I/O error on device sdd, logical block 1
Buffer I/O error on device sdd, logical block 2
Buffer I/O error on device sdd, logical block 3
Buffer I/O error on device sdd, logical block 4
Buffer I/O error on device sdd, logical block 5
Buffer I/O error on device sdd, logical block 6
Buffer I/O error on device sdd, logical block 7
Buffer I/O error on device sdd, logical block 8
Buffer I/O error on device sdd, logical block 9
usb 3-1: reset full speed USB device using uhci_hcd and address 2

Comment 2 Bug Zapper 2010-11-04 10:08:21 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-12-05 06:27:21 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.